{
  "name": "skyeye-admin-fe",
  "version": "1.3.9",
  "private": true,
  "scripts": {
    "bootstrap": "pnpm install",
    "serve": "pnpm run dev",
    "dev": "vite",
    "build": "cross-env NODE_ENV=production vite build",
    "build:test": "cross-env vite build --mode test && esno ./build/script/postBuild.ts",
    "build:no-cache": "pnpm clean:cache && pnpm run build",
    "report": "cross-env REPORT=true pnpm run build",
    "type:check": "vue-tsc --noEmit --skipLibCheck",
    "preview": "pnpm run build && vite preview",
    "preview:dist": "vite preview",
    "clean:cache": "rimraf node_modules/.cache/ && rimraf node_modules/.vite",
    "clean:lib": "rimraf node_modules",
    "lint:eslint": "eslint \"{src,mock}/**/*.{vue,ts,tsx}\" --fix",
    "lint:prettier": "prettier --write --loglevel warn \"src/**/*.{js,json,tsx,css,less,scss,vue,html,md}\"",
    "lint:stylelint": "stylelint --fix \"**/*.{vue,less,postcss,css,scss}\" --cache --cache-location node_modules/.cache/stylelint/",
    "lint:lint-staged": "lint-staged -c ./.husky/lintstagedrc.js",
    "lint:pretty": "pretty-quick --staged",
    "test prod gzip": "http-server dist --cors --gzip -c-1",
    "reinstall": "rimraf pnpm-lock.yaml && rimraf package.lock.json && rimraf node_modules && pnpm run bootstrap",
    "build typecheck": "vuedx-typecheck . && vite build",
    "deploy": "gh-pages -d dist"
  },
  "dependencies": {
    "@antv/g6": "5.0.48",
    "@element-plus/icons-vue": "2.0.9",
    "@vicons/antd": "0.12.0",
    "@vicons/ionicons5": "0.12.0",
    "@vitejs/plugin-vue": "5.2.1",
    "@vue-office/docx": "1.6.3",
    "@vue-office/excel": "1.7.14",
    "@vue-office/pdf": "2.0.10",
    "@vue-office/pptx": "1.0.1",
    "@vueuse/core": "14.0.0",
    "@vueuse/router": "10.6.1",
    "@wangeditor/editor": "^5.1.12",
    "@wangeditor/editor-for-vue": "5.1.12",
    "animate.css": "4.1.1",
    "axios": "0.27.2",
    "blueimp-md5": "2.19.0",
    "cropperjs": "1.5.12",
    "dayjs": "1.11.4",
    "echarts": "5.5.0",
    "element-plus": "2.9.7",
    "element-resize-detector": "1.2.4",
    "flv.js": "1.6.2",
    "form-data": "4.0.0",
    "html2canvas": "1.0.0",
    "lodash-es": "4.17.21",
    "mitt": "3.0.1",
    "mockjs": "1.1.0",
    "mpegts.js": "1.7.3",
    "notivue": "2.4.5",
    "nprogress": "0.2.0",
    "perfect-scrollbar": "1.5.5",
    "pinia": "2.0.16",
    "qrcode": "1.5.4",
    "qs": "6.11.0",
    "screenfull": "6.0.2",
    "uid": "2.0.2",
    "url-join": "5.0.0",
    "vue": "3.5.13",
    "vue-demi": "0.14.6",
    "vue-draggable-plus": "0.6.0",
    "vue-echarts": "6.7.3",
    "vue-hooks-plus": "1.8.6",
    "vue-router": "4.1.2",
    "vue-types": "4.1.1",
    "vuedraggable": "2.24.3",
    "xlsx": "0.18.5"
  },
  "devDependencies": {
    "@commitlint/cli": "17.0.3",
    "@commitlint/config-conventional": "17.0.3",
    "@types/crypto-js": "4.2.0",
    "@types/element-resize-detector": "1.1.3",
    "@types/intro.js": "3.0.2",
    "@types/lodash-es": "4.17.6",
    "@types/node": "17.0.45",
    "@types/qrcode": "1.4.2",
    "@typescript-eslint/eslint-plugin": "5.30.7",
    "@typescript-eslint/parser": "5.30.7",
    "@vitejs/plugin-vue-jsx": "1.3.10",
    "@vue/compiler-sfc": "3.5.13",
    "autoprefixer": "10.4.7",
    "chalk": "5.3.0",
    "code-inspector-plugin": "0.20.2",
    "colors": "1.4.0",
    "commitizen": "4.2.5",
    "core-js": "3.23.5",
    "cross-env": "7.0.3",
    "crypto-js": "4.2.0",
    "dotenv": "16.0.1",
    "eslint": "8.20.0",
    "eslint-config-prettier": "8.5.0",
    "eslint-define-config": "1.5.1",
    "eslint-plugin-prettier": "4.2.1",
    "eslint-plugin-vue": "8.7.1",
    "esno": "0.16.3",
    "fast-glob": "3.3.1",
    "fs-extra": "10.1.0",
    "gh-pages": "4.0.0",
    "husky": "8.0.1",
    "less": "4.1.3",
    "less-loader": "11.1.3",
    "lint-staged": "13.0.3",
    "patch-package": "8.0.0",
    "picocolors": "1.0.0",
    "postcss": "8.4.14",
    "postcss-px-to-viewport": "1.1.1",
    "postinstall-postinstall": "2.1.0",
    "prettier": "2.7.1",
    "pretty-quick": "3.1.3",
    "rimraf": "3.0.2",
    "rollup-plugin-visualizer": "5.8.3",
    "sass": "1.53.0",
    "simple-git": "3.22.0",
    "stylelint": "14.9.1",
    "stylelint-config-prettier": "9.0.3",
    "stylelint-config-standard": "25.0.0",
    "stylelint-order": "5.0.0",
    "stylelint-scss": "4.3.0",
    "ts-node": "10.9.1",
    "typescript": "4.7.4",
    "vconsole": "3.15.1",
    "vite": "5.1.3",
    "vite-plugin-compression": "0.5.1",
    "vite-plugin-html": "3.2.2",
    "vite-plugin-mock": "2.9.6",
    "vite-plugin-style-import": "2.0.0",
    "vite-plugin-svg-icons": "2.0.1",
    "vite-plugin-vconsole": "1.3.1",
    "vue-eslint-parser": "9.0.3",
    "vue-tsc": "0.35.2"
  },
  "lint-staged": {
    "*.{vue,js,ts,tsx}": "eslint --fix"
  },
  "config": {
    "commitizen": {
      "path": "./node_modules/cz-customizable"
    }
  },
  "keywords": [
    "vue",
    "naive-ui",
    "naive-ui-admin",
    "vue3",
    "ts",
    "tsx",
    "admin",
    "typescript"
  ],
  "engines": {
    "node": "12 || >=14"
  },
  "pnpm": {
    "patchedDependencies": {
      "@vue-office/docx@1.6.3": "patches/@vue-office__docx.patch",
      "@vue-office/excel@1.7.14": "patches/@vue-office__excel.patch",
      "@vue-office/pdf@2.0.10": "patches/@vue-office__pdf.patch",
      "@vue-office/pptx@1.0.1": "patches/@vue-office__pptx.patch"
    },
    "peerDependencyRules": {
      "ignoreMissing": [
        "rollup",
        "webpack"
      ]
    },
    "ignoredBuiltDependencies": [
      "@vue-office/docx",
      "@vue-office/excel",
      "@vue-office/pdf",
      "@vue-office/pptx",
      "core-js",
      "es5-ext",
      "esbuild",
      "postinstall-postinstall",
      "vue-demi",
      "vue-echarts"
    ]
  }
}
